Subject: New Reply Received - Very Bad Service. I bought this bed last 25 Sept and scheduled for delivery 01 Oct. Nobody came and i kept following up. In the end they told me that it's cancelled for some technical issues. Then i have to wait for 5 to 10 few days to receive my refund.
From: Home Box <[email-masked]>
To: [email-masked]
Date: Tue, 04 Oct 2022 04:38:15 +0000

Hi Alhamzi Mohammed,  The customer has responded to the ticket.  Very Bad Service. I bought this bed last 25 Sept and scheduled for delivery 01 Oct. Nobody came and i kept following up. In the end they told me that it's cancelled for some technical issues. Then i have to wait for 5 to 10 few days to receive my refund.  Ticket comment <div>Homebox Stores
9587685836 order no.
I'm so disappointed when i called your customer service and was advised that they have to cancel my order. It's not me, but it's you HOMEBOX that cancelled my order.</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4956623